package com.huazheng.project.mssql2.mapper;

import java.util.List;

import com.huazheng.project.hana.model.Vbap;
import com.huazheng.project.mssql2.model.SysSAPreturnNo;
import com.huazheng.project.mssql2.model.TKeHu;
import com.huazheng.project.mssql2.model.TKeHuXiaoShouZZ;
import com.huazheng.project.mssql2.model.TKeHuXiaoShouZZYeWuY;
import com.huazheng.project.mssql2.model.TShuJuHzddmx;
import com.huazheng.project.mssql2.model.TWuLiaoDB;

public interface HzcrmMapper {

	public List<TKeHuXiaoShouZZYeWuY> selectTKeHuXiaoShouZZYeWuYNew(TKeHuXiaoShouZZYeWuY tkeHuXiaoShouZZYeWuY);
	public List<TKeHu> selectTKeHuNew(TKeHu tkeHu);
	public List<SysSAPreturnNo> selectSysSAPreturnNoNew(SysSAPreturnNo sysSAPreturnNo);
	public List<TShuJuHzddmx> selectTShuJuHzddmxNew(TShuJuHzddmx tShuJuHzddmx);
	
	public List<TKeHuXiaoShouZZ> selectTKeHuXiaoShouZZ(TKeHu tkeHu);
	public List<TKeHuXiaoShouZZYeWuY> selectTKeHuXiaoShouZZYeWuY(TKeHu tkeHu);
	public List<TWuLiaoDB> selectTWuLiaoDB(TKeHu tkeHu);
	
	public List<TShuJuHzddmx> selectTShuJuHzddmxCheckByUpdate(TShuJuHzddmx sip);
	
	public TShuJuHzddmx selectTShuJuHzddmxById(TShuJuHzddmx target);
	public SysSAPreturnNo selectSysSAPreturnNoById(SysSAPreturnNo target);
	public TKeHu selectTKeHuById(TKeHu target);
	public TKeHuXiaoShouZZ selectTKeHuXiaoShouZZById(TKeHuXiaoShouZZ target);
	public TKeHuXiaoShouZZYeWuY selectTKeHuXiaoShouZZYeWuYById(TKeHuXiaoShouZZYeWuY target);
	public TWuLiaoDB selectTWuLiaoDBById(TWuLiaoDB target);
	
	// 按天更新的级联
	public List<SysSAPreturnNo> cascadeSysSAPreturnNoByVbap(Vbap vbap);
	
}
